summaryrefslogtreecommitdiff
path: root/contrib
diff options
context:
space:
mode:
authorRodrigo Ramírez Norambuena <decipher.hk@gmail.com>2015-06-03 21:12:50 -0400
committerRodrigo Ramírez Norambuena <decipher.hk@gmail.com>2015-06-03 21:12:50 -0400
commit6737ded0581a9e1256bdfe30c1d747e7ca93f8b3 (patch)
tree70d34994bf0fe5f3c55ed2df422912d9fb3af5af /contrib
parentd8698b7f3f8a70f7e50ac7323b8236e7658a97f4 (diff)
install_prereq: Check if is installed aptitude otherwise to install.
If in Debian or system based, dont have aptitude installed the script do nothing. This patch checked if aptitude installed, if not installed. Also, if execute script with all packages installed yet, the script not show nothing and return exit 1 because the command 'grep' get nothing from pipe from 'awk'. ASTERISK-25113 #close Reported By: Rodrigo Ramírez Norambuena <decipher.hk@gmail.com> Change-Id: Iebdff55805d3917166e5e08e0a1e2176f36ff27f
Diffstat (limited to 'contrib')
-rwxr-xr-xcontrib/scripts/install_prereq10
1 files changed, 7 insertions, 3 deletions
diff --git a/contrib/scripts/install_prereq b/contrib/scripts/install_prereq
index 58ef05ca2..b0caab8e9 100755
--- a/contrib/scripts/install_prereq
+++ b/contrib/scripts/install_prereq
@@ -70,9 +70,10 @@ check_installed_debs() {
do
tocheck="${tocheck} ^${pack}$"
done
- aptitude -F '%c %p' search ${tocheck} 2>/dev/null \
- | awk '/^p/{print $2}' \
- | grep -v ':i386$'
+ pkgs=$(aptitude -F '%c %p' search ${tocheck} 2>/dev/null | awk '/^p/{print $2}')
+ if ! [ ${#pkgs} -eq 0 ]; then
+ echo $pkgs | grep -v ':i386$'
+ fi
}
# parsing the output of yum is close to impossible.
@@ -96,6 +97,9 @@ check_installed_pkgs() {
}
handle_debian() {
+ if ! [ -x "$(command -v aptitude)" ]; then
+ apt-get install aptitude
+ fi
extra_packs=`check_installed_debs $PACKAGES_DEBIAN`
$testcmd aptitude install -y $extra_packs
}